<?php

function str_putcsv($input, $delimiter = ';', $enclosure = '"'){
	// Open a memory "file" for read/write...
	$fp = fopen('php://temp', 'r+');
	// ... write the $input array to the "file" using fputcsv()...
	fprintf($fp, chr(0xEF).chr(0xBB).chr(0xBF));
	fputcsv($fp, $input, $delimiter, $enclosure);
	// ... rewind the "file" so we can read what we just wrote...
	rewind($fp);
	// ... read the entire line into a variable...
	$data = fread($fp, 1048576);
	// ... close the "file"...
	fclose($fp);
	// ... and return the $data to the caller, with the trailing newline from fgets() removed.
	return rtrim($data, "\n");
}
$nombreArchivoCsv = 'reporte_scv.csv';
if (isset($_POST["nombre_archivo"])){
	$nombreArchivoCsv = $_POST["nombre_archivo"];
}
$texto = "";
$datos = json_decode($_POST["tabla"]);
for ($indice=0; $indice<count($datos); $indice++){
	if ($indice > 0 ){
		$texto = $texto . "\n";
	}
	$row = $datos[$indice];
	$texto = $texto . str_putcsv($row);
}
$file = fopen("archivos/".$nombreArchivoCsv, "w");
fwrite($file, $texto . PHP_EOL);
fclose($file);
header('Content-Type: application/json');
header('Content-Disposition: attachment; filename='.$nombreArchivoCsv);
echo($texto);
?>		
